
#pragma once

#include <iostream>
#include <cstring>
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"

class TaskList
{

public:
	void Init();
	void GetTask();
	void GetNextTask();
	void IsEnd();


//private:
		 int num;
		 
		 int citynum;//城市序号
		 int heronum;//武将序号
		 int event;
		 /*
		 1搜寻
		 2招降
		 3输送

		 5招揽
		 6策反
		 7劝降
		 8出征
		 9掠夺
		 //策略结束时添加
			
		 10 AI策略结果添加队列（离间、招降、策反成功显示；战争提示）

		 （顺序 搜寻-》招降-》输送-》外交-》战争-》城市状态）
		 */
		 int data[5];
		 int isend;//0-未结束


};
